%define aurox_ver 9.4
%define rel 2

%define cvsdate 20040429

%define version 1.3.2
%define	desktop_vendor	aurox

# menu level: Base or Extra
%define menu_level Base

Summary: An OpenGL real-time visual space simulation.
Name: celestia
Version: %{version}
Release: %{aurox_ver}.aur.%{?cvsdate:0.%{cvsdate}.}%{rel}
License: GPL
Group: Applications/Education
#Source0: http://prdownloads.sourceforge.net/celestia/%{name}-%{version}.tar.gz
Source0: http://prdownloads.sourceforge.net/celestia/%{name}-%{cvsdate}.tar.bz2
URL: http://www.shatters.net/celestia/
BuildRoot: %{_tmppath}/%{name}-root
Requires: glut, libpng, libjpeg
BuildRequires: glut-devel, gtk+-devel, libpng-devel, libjpeg-devel
BuildRequires: desktop-file-utils, unzip, gcc-c++, libstdc++-devel
#BuildRequires: kdelibs-devel
BuildRequires: gtk2-devel, gtkglext-devel >= 1.0
# for celestia > 1.3
BuildRequires: lua >= 5.0
#BuildRequires: automake16
# for CVS builds
BuildRequires: automake
BuildRequires: autoconf

%description
Celestia is a free real-time space simulation that lets you experience our
universe in three dimensions. Unlike most planetarium software, Celestia
doesn't confine you to the surface of the Earth. You can travel throughout
the solar system, to any of over 100,000 stars, or even beyond the galaxy.
All travel in Celestia is seamless; the exponential zoom feature lets you
explore space across a huge range of scales, from galaxy clusters down to
spacecraft only a few meters across. A 'point-and-goto' interface makes it
simple to navigate through the universe to the object you want to visit.

%prep
%setup -q -n %{name}-%{cvsdate}
#%patch -p1 -b .aurox

%build
libtoolize --force
aclocal
autoheader
automake
autoconf
#make -f Makefile.cvs
%configure --disable-dependency-tracking --with-gtk --with-lua=/usr
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -m644 -D src/celestia/kde/data/hi48-app-celestia.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png

cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Celestia 3D
Comment=An OpenGL real-time visual space simulation
Comment[pl]=Symulacja przestrzeni kosmicznej w OpenGL
Icon=%{name}.png
Exec=%{name}
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Aurox-%{menu_level}          \
  --add-category Application                    \
  --add-category Education                      \
  %{name}.desktop

rm -f %{buildroot}%{_datadir}/applnk/Edutainment/Science/celestia.desktop

rm -f %{buildroot}/celestia.schemas

# KDE only:
#%find_lang %{name}

%clean
rm -rf %{buildroot}

#%files -f %{name}.lang
%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

# GTK build:
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*/*
%config %{_datadir}/%{name}/celestia.cfg
%doc %{_datadir}/%{name}/controls.txt
%doc %{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/*.cel

# for KDE builds:
#%dir %{_datadir}/apps/%{name}
#%{_datadir}/apps/%{name}/*/*
#%config %{_datadir}/apps/%{name}/celestia.cfg
#%doc %{_datadir}/apps/%{name}/controls.txt
#%doc %{_datadir}/apps/%{name}/COPYING
#%{_datadir}/apps/%{name}/*.cel
#%{_datadir}/apps/%{name}/*.xml
#%{_datadir}/apps/%{name}/*.rc
#%{_datadir}/config/celestiarc
#%dir %{_docdir}/HTML/en/celestia
#%{_docdir}/HTML/en/celestia/*
#%{_datadir}/icons/*/*/*/*.png
#%{_datadir}/mimelnk/application/x-celestia-script.desktop
#%{_datadir}/services/celestia.protocol

%changelog
* Thu May 06 2004 Aurox Team <aurox@aurox.org> 0:1.3.2-9.4.aur.0.20040429.2
- fix release numbering
- use automake
- test build of current CVS code (with gtk interface and lua scripting)
- rebuild with i18n included
- require translations

* Thu Apr 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.3.0.
- Added numberedmoons.ssc addon.

* Mon Mar 31 2003 Robert Glowczynski
- Add Polish comment in desktop file; change menu name to 'Celestia 3D'
- Rebuild for Aurox 9.

* Tue Jan 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.2.5.
- Included "Minor Moons of the Giant Planets" extra file.
- New icon from the KDE part of the source.

* Sat Sep 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- New style menu entry.

* Wed Jul  3 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt to remove the NVidia dependency (oops!).

* Wed May 15 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Sorry, I'm a maniac ;-)

* Tue May 14 2002 Julien MOUTTE <julien@moutte.net>
- Initial RPM release.

